## xrescat 1.2.1-2-1regolith

=== debian/changelog ===
xrescat (1.2.1-2-1regolith-oracular) oracular; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 28 Jan 2025 16:55:18 +0000

xrescat (1.2.1-2) focal; urgency=medium

  * Add virtual package regolith-resource-loader for sway support

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 02 Sep 2022 11:53:41 -0700

xrescat (1.2.1-1) bionic; urgency=medium

  [ Ken Gilmer ]
  * Cleanup lintian warnings.
  * Version bump to appease launchpad

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 09 Aug 2020 10:33:01 -0700

xrescat (1.2.0-1) bionic; urgency=medium

  [ Jeremy Coghill ]
  * added logic to exclude surrounding double quotes from returned strings to allow for the use of leading and trailing spaces in resources. updated version number. updated man page

  [ Ken Gilmer ]
  * Update README for new double quote handling.  Add gbp config. Cleanup.

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 11 Jun 2020 21:36:10 -0700

xrescat (1.1-1ubuntu1ppa1) bionic; urgency=medium

  * Add option for default value.

 -- Ken Gilmer <kgilmer@gmail.com>  Sat, 13 Jul 2019 22:17:27 -0700

xrescat (1.0-1ubuntu1ppa1) bionic; urgency=medium

  * Initial release

 -- Ken Gilmer <kgilmer@gmail.com>  Sat, 13 Jul 2019 21:18:55 -0700

## xrescat 1.2.1-3-1regolith

=== debian/changelog ===
xrescat (1.2.1-3-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:27:12 +0000

xrescat (1.2.1-3) focal; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Feb 2025 20:06:10 +0000

## xrescat 1.2.1-4

=== Makefile ===
VERSION ?= 1.2

CPPFLAGS := -DVERSION=\"$(VERSION)\" $(CPPFLAGS)
CFLAGS ?= -O2 -Wall -Werror
LDFLAGS := -lX11 $(LDFLAGS)

PREFIX ?= $(DESTDIR)
BINDIR ?= $(PREFIX)/usr/bin
MANDIR ?= $(PREFIX)/usr/share/man/man1

all: xrescat

xrescat: xrescat.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $? -o $@ $(LDFLAGS)

install: xrescat
	mkdir -p $(BINDIR)
	install -D $< $(BINDIR)
	mkdir -p $(MANDIR)
	install -Dm 644 xrescat.1 $(MANDIR)/xrescat.1

clean:
	rm -f xrescat

.PHONY: all install clean

## xrescat 1.2.1-4-1regolith

=== debian/changelog ===
xrescat (1.2.1-4-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 22 Jan 2026 22:05:09 +0000

xrescat (1.2.1-4) focal; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 14 Oct 2025 01:19:00 +0000

=== debian/control ===
Source: xrescat
Section: x11
Priority: optional
Maintainer: Ken Gilmer <kgilmer@gmail.com>
Build-Depends: debhelper (>= 11), libx11-dev
Standards-Version: 4.1.3
Homepage: https://github.com/tamirzb/xrescat

Package: xrescat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: regolith-resource-loader
Description: cat Xresources
 Simple utility which prints the value of an X resource.
